[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Migrating 2.4 issue

Luc MAIGNAN wrote:
> I try to upgrade openldap to 2.4.

Which version did you use before?

Generally you should slapcat the whole content of your database(s) and use
slapadd to bulk-load it into your new server.

> Considering the documentation on my new freshly installed server on which I've
> restored the slapd.conf of a previous server, I try :
> slaptest -f /etc/openldap/slapd.conf -F /etc/openldap/slapd.d

Why are you doing this?
You can still use your static configuration file /etc/openldap/slapd.conf with
recent OpenLDAP 2.4.31.

> This gives me this issue :
> bdb_db_open: database "dc=domain,dc=com": db_open(/var/lib/ldap/id2entry.bdb)
> failed: No such file or directory (2).
> backend_startup_one (type=bdb, suffix="dc=domain,dc=com"): bi_db_open failed! (2)

This clearly says that something's seriously wrong - probably
ownership/permissions or the directoy /var/lib/ldap is missing.

> I've found on internet that I can safely ignore this,

The "internet" is not always right.

Ciao, Michael.

Attachment: smime.p7s
Description: S/MIME Cryptographic Signature